// SPDX-License-Identifier: BUSL-1.1
pragma solidity 0.8.4;

interface IUniswapV2Pair {
    function swap(uint amount0Out, uint amount1Out, address to, bytes calldata data) external;

    function getReserves() external view returns (uint112 reserve0, uint112 reserve1, uint32 blockTimestampLast);

    function price0CumulativeLast() external view returns (uint);

    function price1CumulativeLast() external view returns (uint);

    function token0()  external view returns (address);
    function token1()  external view returns (address);

}
